--	Combat Names
--	Author: ChaosInc
--	Version: 1.0

CNames_Enabled = CNames_Enabled or true

--	SLASH COMMANDS
SLASH_COMBATNAMES1 = "/combatnames";
SLASH_COMBATNAMES2 = "/cnames";
SlashCmdList["COMBATNAMES"] = function(msg) CNames_SlashCommandHandler(msg) end
	
function CNames_SlashCommandHandler(msg)
	if msg == "on" then
		CNames_Enabled = true
		DEFAULT_CHAT_FRAME:AddMessage("Имена в бою включены")
	elseif msg == "off" then
		CNames_Enabled = false
		DEFAULT_CHAT_FRAME:AddMessage("Имена в бою выключены")
	end
end

--	EVENT MANAGER
function CNames_OnEvent()
	if CNames_Enabled == false then return end
	if event == "PLAYER_REGEN_ENABLED" then
		SetCVar("nameplateShowEnemies", 0)
	elseif event == "PLAYER_REGEN_DISABLED" then
		SetCVar("nameplateShowEnemies", 1)
	end
end

--	VIRTUAL FRAME
local f = CreateFrame("Frame")
f:RegisterEvent("PLAYER_REGEN_ENABLED")
f:RegisterEvent("PLAYER_REGEN_DISABLED")
f:SetScript("OnEvent", CNames_OnEvent)
f:Show()
